Subject: Re: [PATCH v2 0/4] a couple of read_key_without_echo() fixes

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Mar 2022 02:03:05 -0700

Carlo Arenas <[email-masked]> writes:

> On Thu, Feb 24, 2022 at 6:30 AM Phillip Wood <[email-masked]> wrote:
>> That sounds good. I've got a couple more patches based on top of these
>> which hopefully fix the remaining problems (notably the macos poll()
>> bug). I'll polish and post them next week. Once those are in I hope
>> we'll be able to enable the builtin "add -p" by default.
>
> As this topic just hit master noticed (I apologize for not doing it
> sooner) the macOS problem (tested in 10.15.7) was gone (suspect fixed
> with 1/4) and therefore enabling the builtin by default as proposed
> originally by dscho could proceed without the additional series.

As long as it is a belated success report, nobody would mind.  A
belated failure report would be a cause of sorrow and grief, but
even then, it is better to have it late than never.

Thanks for testing.